import sys
from antlr4 import *
from gcode2Lexer import *
from gcode2Parser import *
from gcode2Listener import *
from gcode2Semantic import *

def main(argv):
	input = FileStream('pmr3402.nc')
	lexer = gcode2Lexer(input)
	stream = CommonTokenStream(lexer)
	parser = gcode2Parser(stream)
	tree = parser.prg()
	
	output = open("output.txt", "w")
	visitor = gcode2Semantic(output)
	walker = ParseTreeWalker()
	walker.walk (visitor, tree)
	output.close()

if __name__ == '__main__':
	main(sys.argv)




